Bug 331764

Summary: XML indentation does not decrease indentation level with open/close tags
Product: kate Reporter: Stephan Mueller <smueller>
Component: indentationAssignee: Kåre Särs <kare.sars>
Status: RESOLVED FIXED    
Severity: normal CC: kare.sars
Priority: NOR    
Version: 3.12.2   
Target Milestone: ---   
Platform: Fedora RPMs   
OS: Linux   
Latest Commit: Version Fixed In: 3.13 (KDE 4.13)

Description Stephan Mueller 2014-03-05 12:42:26 UTC
This bug is related to 330089.

The following XML code is not indented properly:
<ul>
	<li>a</li>
	<li>b</li>
	<!--li>c</li-->
	</ul>

The closing ul is not on the same level as the opening ul

Reproducible: Always
Comment 1 Dominik Haumann 2014-03-05 19:40:08 UTC
@Kåre: Didn't you fix this?
Comment 2 Stephan Mueller 2014-03-05 19:44:30 UTC
Please note that the fix of the previous bug is indeed effective. However, it seems not not catch all corner cases.
Comment 3 Kåre Särs 2014-03-06 18:32:49 UTC
I'll have a look
Comment 4 Kåre Särs 2014-03-06 20:26:37 UTC
Git commit dec54c31ebb1fabcbd0540e45243ad31c6636a87 by Kåre Särs.
Committed on 06/03/2014 at 20:13.
Pushed by sars into branch 'master'.

XML indentation: fix indentation when thee are empty lines
Related: bug 330089

M  +18   -9    part/script/data/indentation/xml.js
A  +15   -0    tests/data/indent/xml/empty_lines/expected
A  +8    -0    tests/data/indent/xml/empty_lines/input.js
A  +15   -0    tests/data/indent/xml/empty_lines/origin

http://commits.kde.org/kate/dec54c31ebb1fabcbd0540e45243ad31c6636a87
Comment 5 Kåre Särs 2014-03-06 20:53:21 UTC
Git commit 7281db92e4d187d58ad0e5f4a632c20c36af1095 by Kåre Särs.
Committed on 06/03/2014 at 20:13.
Pushed by sars into branch 'KDE/4.13'.

XML indentation: fix indentation when thee are empty lines
Related: bug 330089

M  +18   -9    part/script/data/indentation/xml.js
A  +15   -0    tests/data/indent/xml/empty_lines/expected
A  +8    -0    tests/data/indent/xml/empty_lines/input.js
A  +15   -0    tests/data/indent/xml/empty_lines/origin

http://commits.kde.org/kate/7281db92e4d187d58ad0e5f4a632c20c36af1095